---
title: "DÉVELOPPEUSE OU DÉVELOPPEUR PYTHON OPEN SOURCE"
date: 2023-04-11T11:26:36+02:00
summary: "Le Filament cherche à structurer son équipe de développement (2 personnes) spécialisée dans Odoo (ERP en Python principalement)."
draft: false
---

# DESCRIPTION DU POSTE

## CONTEXTE

Le Filament conçoit, déploie et supervise, des systèmes d’information pour ses clients. Pour cela, la SCOP s’appuie principalement sur l’outil Open Source Odoo qui est un progiciel de gestion (PGI ou ERP en anglais), et contribue à la communauté liée à cet outil. Le Filament maintient en Conditions Opérationnelles et de Sécurité 35 serveurs clients sur lesquels Odoo est intégré. De plus, Le Filament utilise ce même outil pour sa gestion interne et publie les modules développés souslicence open source (AGPL-3). Odoo est développé principalement en Python (pour la partie Back-End) et Javascript (pour la partie Front-End – avec un Framework spécifique Odoo) et s’appuie sur une base de données PostgreSQL pour stockerses données et les analyser. La plupart des modules développés par Le Filament sont en Python + XML pour la définition des vues, mais il peut arriver d’avoir à modifier une partie de JS. Vous serez intégré à l’équipe de développement (3 personnes) pour travailler sur l’analyse des besoins internes et clients, les spécifications fonctionnelles, et le développement des nouvelles fonctionnalités.

## MISSIONS

Votre mission principale consistera à :
- Prendre en main l’outil Odoo et le modèle de données
- Participer aux ateliers de conception avec les clients
- Définir l’architecture des nouvelles solutions logicielles
- Développer les nouvelles fonctionnalités
- Concevoir et mettre en œuvre un plan de test
- Suivre les release et bugfix de la solution développée
- Contribuer à la communauté Open Source Odoo (par revues et publications de code principalement)
- Prendre en charge la stratégie technique de développement / intégration du Filament

## PROFIL RECHERCHÉ

- Vous avez une formation en développement Python et/ou une expérience significative dans ce domaine.
- Vous avez des connaissances / une expérience dans les systèmes de gestion.
- Vous souhaitez contribuer au développement du logiciel libre et de l’Économie Sociale et Solidaire (toute expérience dans ces domaines sera un plus). Vous n’avez pas peur de vous lancer, de participer à l’amélioration de la communauté Open Source.
- Vous faites preuve d’autonomie tout en appréciant travailler en équipe.
- Vous souhaitez donner du sens à votre travail :
  - Participer à l’évolution et la construction de l’expérience au sein du Filament,
  - Oser être acteur de son parcours au sein de l’entreprise et de la communauté.

## INFORMATIONS SUPPLÉMENTAIRES

| | |
|-------------------------|----------------------------------------------------|
| Formation souhaitée     | Écoles d’ingénieurs                                |
| Lieu                    | Toulouse, 27 rue d’Aubuisson                       |
| Type de contrat         | CDI (avec accès au sociétariat au bout de 2 ans)   |
| Démarrage               | Dès que possible                                   |
| Environnement technique | **Python**, XML, HTML, CSS, PostgreSQL, JS, Ubuntu |
| Salaire                 | entre 31k et 33k€ brut annuel pour 4 jours par semaine selon expérience |
| Autres avantages        | Semaine de 4 jours (du lundi au jeudi) <br /> Chèques déjeuner<br />Mutuelle prise en charge à 100% par l’employeur<br />Télétravail ponctuel possible |
| Contact                 | romain.cavalie@scopandco.fr                        |

